Newsgroups: rec.radio.amateur.misc
From: jreese@NeoSoft.com (Jim Reese)
Subject: MICOR UHF mobile to repeater conversion instructions (long!)
Organization: NeoSoft Communications Services -- (713) 684-5900
Distribution: usa
Date: Thu, 5 Nov 1992 22:03:34 GMT
Message-ID: <Bx9Jy0.I12@NeoSoft.com>
Summary: Step by step conversion of MICOR mobile radio to repeater (UHF)
Lines: 220

Questions regarding this conversion may be directed to jreese@sugar.neosoft.com

There are associated diagrams mentioned in the text.  If you are interested in
these diagrams, send me mail and I'll figure out how to best get them to you.

Jim Reese
WD5IYT

Instructions for Conversion of Motorola UHF Micor to Repeater Service


This modification is not for the faint-hearted.  Be sure you are very 
comfortable with the operation of the MICOR radio before you attempt this 
modification.  A thorough understanding of the way the MICOR radio and control 
system works is absolutely essential for the success of this conversion.


                        Modification Notes

Whenever "Molex Pin x" is mentioned, it refers to the Armadillo Standard 
connector.  This is a small, 9 pin Molex connector which serves as the 
interface for all of the Armadillo radios.  Use a Female connector on the 
radio end.  The standard pinout of the connector is:

      1 - Ground
      2 - Receive Audio Output
      3 - n/c
      4 - Transmit Audio Input
      5 - COS Output
      6 - PTT Input
      7 - n/c
      8 - PL Decoder Output (Sense)
      9 - PL Select Input

The COS output and PTT input are open-collector to ground signals.  Pin 8 goes 
to +9.6 V when PL is decoded.  Pin 9 is ground for PL, open for Carrier.

These modifications allow "PL and Squelch" operation.  This means that when in 
PL, the normal squelch circuit still operates.  This avoids long noise bursts 
upon unkeying.

If using an Advanced Computer Controls controller, the signal at pin 8 is run 
to the "PL Sense input" on the controller.  It will drive this input directly.

Order the crystal on the repeater RECEIVE frequency.  You must specify HIGH 
SIDE INJECTION.  If you do not order a high side crystal, the transmit offset 
will be 5 MHz above the receive frequency, instead of 5 MHz below.  I 
recommend sending the channel element to the crystal manufacturer for 
temperature compensation.  Use a KXN-1024 element for 5ppm accuracy, or use a 
KXN-1029 element for 2ppm accuracy.  Disable the receiver AFC by jumping the 
appropriate pin of the channel element to ground.



                 List of Tables and Illustrations

There are several illustrations which are detailed below.  Refer to them as 
needed when modifying or constructing pieces of this project.

Table 1: This is a complete hookup chart for the control head plug and 
interface board.

Figure 1: Schematic of control head plug, with simple diagram.
Figure 2: Board Layout of audio squelch board detailing added capacitors.
Figure 3: Detail of circulator unit showing location of major components.
Figure 4: Schematic of circulator unit before modification.
Figure 5: Schematic of circulator unit after modification.
Figure 6: Schematic of interface board.
Figure 7: Rough layout of interface board.


                   Useful Motorola Part Numbers


68-81015E70-H     Manual for UHF MICOR
KXN-1024          5ppm Channel Element for UHF MICOR
KXN-1029          2ppm Channel Element for UHF MICOR
KLN-6210A         PL Encode Reed
TLN-8381A         PL Decode Reed
01-84307A89       Empty Control Head Plug less cable, complete with pins
66-84690C01       Contact Removal Tool for MICOR plugs
TKN-6458A         Large Fuse Holder for Primary Power (40A)


            Step-By-Step Instructions for Modification


Step 1: Make sure that the radio operates properly BEFORE any modifications 
are done.  If there are problems with the radio, they will be easier to fix 
before the mods are done.

Step 2: If you are satisfied with the operation of the radio, construct the 
control head plug per figure 1 and table 1.  Use miniature pots and switches 
inside the control head plug. It is rather tight inside, so be careful to 
check that the connector will re-assemble before you drill it up.  After you 
have constructed the connector, make the following connections inside the 
radio: Jump control head pins 3, 8, and 22 to "A+" on the control board.  Jump 
pins 9, 11, and 17 to ground on the control board.  Next locate the two 
feedthrough caps which power the Transmitter Power Amplifier.  They are just 
to the left of the control head plug on the bottom side of the radio.  One 
will have a red wire, and the other a black wire.  Jump from the feedthrough 
with the red wire to the "A+" trace on the control board.  Jump from the 
feedthrough with the black wire to the ground trace on the control board. 
There is a reverse polarity protection diode on the control board which can be 
used to make these connections.  Next, plug your control head plug into the 
radio and verify proper operation with the new control arrangement.  If there 
are problems here, troubleshoot them NOW.  Do not wait until later, as you may 
be chasing more than one problem.

Step 3: You must make some modifications to the control board and the receiver 
audio/squelch board in order to make the radio full duplex and to make 
preparations for the interface board.  First, remove JU-905 on the control 
board.  Then, jump the F1 channel element to ground as described in the 
Motorola manual.  Next, jump pins 1 and 4 of the audio squelch board.  On the 
later version audio squelch board, there is a place for a jumper (JU-202), on 
earlier units, just make the jump with wire wrap wire.  Next, remove a jumper 
on the audio squelch board which goes from pin 3 of the PL decoder to IC-202 
pin 8. This is near the pins which the PL board plugs into.  Next, ring from 
pin 3 of the PL decoder to pin 11 of the audio squelch board with an ohmmeter. 
There should be continuity here.  If not, add a jumper.  The later boards have 
a trace from pin 3 of PL to pin 11 of audio squelch, on earlier boards, pin 11 
is unused, and you should jump from PL decoder 3 to audio squelch 11 with some 
wire wrap wire.  Add 15pF capacitors between the following pins on the two 
chips on the audio squelch board.  Figure 2 details the location of these 
caps.  On IC-201, add a cap between pin 3 and 4, and between pin 3 and 5.  On 
IC-202, add caps between 5 and 9, 5 and 13, and two caps between 5 and 15. 
This makes the board less susceptible to RF.

Step 4: Next, carefully remove the front casting from the chassis.  This is 
done by removing the four screws top and bottom as well as two screws on the 
control head plug.  This is kind of tricky, so be careful to remember how you 
got it apart so you can re-assemble it later.  Next, examine the Power 
Amplifier section of the radio and notice the miniature connector which 
connects the output of the PA to the circulator.  Unplug this connector from 
the circulator using a needle nose plier or hemostat.  Next, turn over the 
radio and remove the power control board.  This will expose the top plate of 
the circulator.  Remove the circulator by carefully removing the sensing wires 
which connect to the power control board and the two screws which hold the 
circulator in.  You will have to unplug the receive antenna coax from the 
preselector unit in order to remove the circulator.  Set the circulator aside 
for later modification.

Step 5: Procure a BNC chassis mount connector for a receive antenna jack. 
Mount this connector on the top side of the front casting on the side opposite 
from where the lock is located.  Be very careful to locate this connector so 
that it does not hinder the operation of the latch mechanism.  Attach a small 
coax to this connector and route it to the receive antenna jack on the 
preselector unit.  Drill a hole in the front of the radio chassis to pass the 
coax.  This will be obvious once you have examined the unit with the front 
casting removed.

Step 6: This is the toughest part of the conversion, the circulator 
modification. Figures 3, 4, and 5 detail the conversions.  Remove the cover 
from the circulator unit.  You will notice that there is a circulator, an 
output filter, the antenna switch, and the circulator reject load.  There are 
three trimmer caps, only one of which has an access hole in the top plate. 
Measure and drill the top cover so that you have access to all three trimmers 
from the outside.  This is necessary because the cover affects the tuning of 
the circulator.  After drilling the cover, set it aside.  You must now remove 
the antenna relay.  This is a small relay on the right side of the circulator. 
The small dark red rectangular unit with a wire coming from the relay is the 
reject load for the circulator.  The relay switches the output port of the 
circulator between the receiver and the reject load.  You must remove the 
relay and wire the dummy load back to the output port of the circulator which 
is on the common side of the relay.  Refer to the diagram for the circuit. The 
easiest way to accomplish this is with a small piece of teflon coax (RG-188). 
Run from the circulator port to the reject load.  You can solder to the 
circulator case for the shield on the load end of the coax. Replace the cover 
on the circulator and reinstall it in the radio.


Step 7: Construct the interface board using the schematic and board layout in 
the packet.  Install this board on the three unused mounting tabs near the 
rear center of the radio.  These tabs are above the control board.  Wire the 
board up as described in table 1.  At this point, the radio will be operating 
full duplex, and you should be able to put the radio in PL by flipping the 
switch on the control head plug to the PL position.  Verify that you have +9.6 
volts at the 9 pin molex connector PL SENSE pin when the correct PL code is 
being sent.  Also verify correct receive audio gating and COS action.


                       Tune Up Instructions


Tune the radio per the Motorola manual.  Once you have achieved this, you need 
to tune the circulator.  The following procedure should be followed: 

Step 1: Remove the power control board, and power the radio with a supply 
having a current meter.

Step 2: Attach a jumper or clip lead from feedthrough C527 on the Controlled 
Stage in the PA compartment and feedthrough C536 on the driver stage in the PA 
compartment.  This will force the radio to maximum power output.

Step 3: Key the transmitter and tune the three circulator capacitors for 
maximum power output.

Step 4: Reinstall the power control board, and preset the drive limit pot 
fully counter-clockwise.  Set the power set pot to the desired power output 
level.  I recommend no more than 50W out for a 75W radio, and no more than 60W 
out for a 100W radio.  The 25 and 45W radios are rated continuous duty at 25W 
output.  

Step 5: Key the transmitter and tune the center circulator capacitor (the only 
one accessible from the top of the power control board) for minimum current 
draw.  You should be able to make several Amps difference without affecting 
the power output.

Step 6: Turn the drive limit pot 1/4 turn clockwise.

That's it.  you are now ready for major repeating action.  Remember to always 
set the receive frequency first when setting frequency, as this affects the 
transmitter also.  Set the transmitter with the offset trimmer coil on the 
exciter board.  Make sure that you have adequate forced air cooling on the PA 
at all times during operation.  The Micor PA is not easy to fix, and when it 
blows, it blows big.
-- 
     Jim Reese, WD5IYT            | "Real Texans never refer to trouble
  jreese@sugar.neosoft.com        |  as deep doo-doo"  --Molly Ivins



