Newsgroups: rec.radio.amateur.misc
From: jreese@NeoSoft.com (Jim Reese)
Subject: MICOR VHF mobile to repeater converstion instructions (long!)
Organization: NeoSoft Communications Services -- (713) 684-5900
Distribution: usa
Date: Thu, 5 Nov 1992 22:10:26 GMT
Message-ID: <Bx9K9I.I8s@NeoSoft.com>
Summary: step by step instructions to convert micor VHF mobile to repeater
Lines: 163

Questions regarding this should be directed to jreese@sugar.neosoft.com

There are associated diagrams mentioned in the text.  If you are unable to 
figure out what's going on without the diagrams, mail me and I'll try to
get the diagrams to you some way.  

Jim Reese
WD5IYT

Instructions for Conversion of Motorola VHF Micor to Repeater Service


This modification is not for the faint-hearted.  Be sure you are very 
comfortable with the operation of the MICOR radio before you attempt this 
modification.  A thorough understanding of the way the MICOR radio and control 
system works is absolutely essential for the success of this conversion.


                        Modification Notes

This modification was developed for radios having receiver RF/IF board series 
TLD8270A; audio/squelch models TLN4310A-2 thru TLN4310A-5; and exciter models 
TLD8261A, TLD8262A, TLD8261B, or TLD8262B.  If your radio differs from these 
part numbers, all or part of this modification may be different from the 
descriptions.  Use your judgement to alter these instructions as necessary.
                                                                    
Whenever "Molex Pin x" is mentioned, it refers to the Armadillo Standard 
connector.  This is a small, 9 pin Molex connector which serves as the 
interface for all of the Armadillo radios.  Use a Female connector on the 
radio end.  The standard pinout of the connector is: 

    1 - Ground
    2 - Receive Audio Output
    3 - n/c
    4 - Transmit Audio Input
    5 - COS Output
    6 - PTT Input
    7 - n/c
    8 - PL Decoder Output (Sense)
    9 - PL Select Input

The COS output and PTT input are open-collector to ground signals.  Pin 8 goes 
to +9.6 V when PL is decoded.  Pin 9 is ground for PL, open for Carrier.

These modifications allow "PL and Squelch" operation.  This means that when in 
PL, the normal squelch circuit still operates.  This avoids long noise bursts 
upon unkeying.

If using an Advanced Computer Controls, S-Com or other commercial controller 
which requires an active high PL sense signal, the signal at pin 8 can be 
attached to the "PL Sense input" on the controller .  It will drive this input 
directly.  On the S-Com controller, the pull up resistor on the PL sense input 
must be removed for proper operation.


                 List of Tables and Illustrations

There are several illustrations which are detailed below.  Refer to them as 
needed when modifying or constructing pieces of this project.

Table 1: This is a complete hookup chart for the control head plug and 
interface board.

Figure 1:  Schematic of control head plug, with simple diagram.
Figure 2:  Board Layout of audio squelch board detailing added capacitors.
Figure 3:  Schematic of interface board.
Figure 4:  Rough layout of interface board.


                   Useful Motorola Part Numbers


68-81008E40-D     Manual for VHF MICOR
K1007A            TX Channel Element for VHF MICOR
K1005A            RX Channel Element for VHF MICOR
KLN-6210A         PL Encode Reed
TLN-8381A         PL Decode Reed
01-84307A89       Empty Control Head Plug less cable, complete with pins
66-84690C01       Contact Removal Tool for MICOR plugs
TKN-6458A         Large Fuse Holder for Primary Power (40A)


            Step-By-Step Instructions for Modification


Step 1: Make sure that the radio operates properly BEFORE any modifications 
are done.  If there are problems with the radio, they will be easier to fix 
before the mods are done.

Step 2: If you are satisfied with the operation of the radio, construct the 
control head plug per figure 1 and table 1.  Use miniature pots and switches 
inside the control head plug. It is rather tight inside, so be careful to 
check that the connector will re-assemble before you drill it up.  After you 
have constructed the connector, make the following connections inside the 
control head plug: Jump control head pins 3, 8, and 22 to +12 V.  Jump pins 9, 
11, and 17 to ground.  Plug the newly constructed control head plug into the 
radio and verify proper operation with the new control arrangement.  If there 
are problems here, troubleshoot them NOW.  Do not wait until later, as you may 
be chasing more than one problem.

Step 3: There are some modifications required on the control board and the 
receiver audio/squelch board in order to make the radio full duplex and to 
make preparations for the interface board.  Remove CR201 on the audio/squelch 
board.  Then, jump the F1 channel element to ground as described in the 
Motorola manual.  Next, jump pins 1 and 4 of the audio squelch board.  On the 
later version audio squelch board, there is a place for a jumper (JU-202), on 
earlier units, just make the jump with wire wrap wire.  Next, remove a jumper 
on the audio squelch board which goes from pin 3 of the PL decoder to IC-202 
pin 8. This is near the pins which the PL board plugs into.  Check for 
continuity from pin 3 of the PL decoder to pin 11 of the audio squelch board 
with an ohmmeter.  If there is not continuity, add a jumper.  The later boards 
have a trace from pin 3 of PL to pin 11 of audio squelch, on earlier boards, 
pin 11 is unused, and you should jump from PL decoder 3 to audio squelch 11 
with some wire wrap wire.  Add 15pF capacitors between the following pins on 
the two chips on the audio squelch board.  Figure 2 details the location of 
these caps.  On IC-201, add a cap between pin 3 and 4, and between pin 3 and 
5.  On IC-202, add caps between 5 and 9, 5 and 13, and two caps between 5 and 
15. This makes the board less susceptible to RF.

Step 4: Next, carefully remove the front casting from the chassis.  This is 
done by removing the four screws top and bottom as well as two screws on the 
control head plug.  This is kind of tricky, so be careful to remember how you 
got it apart so you can re-assemble it later.  You will expose the antenna 
relay with its two associated coax cables running to the transmitter and 
receiver.  Unplug the receive coax from the antenna relay.


Step 5: Procure a BNC chassis mount connector for a receive antenna jack. 
Mount this connector on the top side curved surface of the front casting on 
the side opposite from where the lock is located.  Be very careful to locate 
this connector so that it does not hinder the operation of the latch 
mechanism.  Attach the receive coax to this connector routing the cable 
through a hole which you will drill in the front of the radio chassis.  The 
method will be obvious once you have examined the unit with the front casting 
removed.


Step 6: Construct the interface board using the schematic and board layout in 
the packet.  Install this board on the three unused mounting tabs near the 
rear center of the radio.  These tabs are above the control board.  Wire the 
board up as described in table 1.  At this point, the radio will be operating 
full duplex, and you should be able to put the radio in PL by flipping the 
switch on the control head plug to the PL position.  Verify that you have +9.6 
volts at the 9 pin molex connector PL SENSE pin when the correct PL code is 
being sent.  Also verify correct receive audio gating and COS action.


                       Tune Up Instructions

Tune the transmitter and receiver per the Motorola manual.  Follow the 
procedures exactly.

Adjust the power set for the desired power output.  I reccommend no more than 
60 Watts for 110 Watt radios, 40 Watts for 60 Watt Radios, and 30 Watts for 45 
Watt Radios.

That's it.  you are now ready for major repeating action. Make sure that you 
have adequate forced air cooling on the PA at all times during operation.  The 
Micor PA is not easy to fix, and when it blows, it blows big.
-- 
     Jim Reese, WD5IYT            | "Real Texans never refer to trouble
  jreese@sugar.neosoft.com        |  as deep doo-doo"  --Molly Ivins



